Support » Kokeneille käyttäjille » Editointi ja uusien aiheiden ja kommentien luonti ei toimi

  • Meinasin siirtää Wordperssin juureen, mutten tehnyt muutosta. Poistin juuresta tiedostoja. Otinkohan pois jotain olennaista.

    Nyt sivusto ei toimi kunnolla. Foorumiin ei voi suoraan kirjoittaa.

    Juuressa on nyt .htaccess ja index.html, mutta ei muuta. Pitäisikö olla? Olenko poistanut jotain olennaista. Ks. kuvaruutukaappaus

    https://bbs.io-tech.fi/data/attachments/356/356406-7a449c4625b6b14193f88e5ad2305b75.jpg

    Google Analytics antaa virheilmoituksen: REST API endpoint is disabled.

    En pysty luomaan mitään uutta tietuetta ja vanhojakin voin editoida vain admin-käyttöliittymän avulla.

    Onko tässä jotain vikaa
    Koodi:
    # BEGIN LSCACHE
    # END LSCACHE
    # BEGIN NON_LSCACHE
    # END NON_LSCACHE

    # BEGIN WordPress
    <IfModule mod_rewrite.c>
    RewriteEngine On
    RewriteBase /wordpress/
    RewriteRule ^index\.php$ – [L]
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteRule . /wordpress/index.php [L]
    </IfModule>

    # END WordPress
    # BEGIN ShortPixelWebp

    # END ShortPixelWebp

    The page I need help with: [log in to see the link]

Esillä 13 vastausta, 1 - 13 (kaikkiaan 13)
  • Jotakin olennaista sieltä nyt lähti. .htaccessissa on perusjutut tallella, ei pitäisi siitä olla kiinni. Löytyykö varmuuskopioita, joista katsoa, mitä siellä juuressa pitäisi olla? Jos ei löydy, asenna WordPress jonnekin muualle vastaavalla tavalla ja katso, mitä juureen menee.

    Thread Starter tapiohuuhaa

    (@tapiohuuhaa)

    Voiko juuren muut hakemistot vaikuttaa asiaan? Lähetin s-postin sivuston ylläpitäjälle.

    Asensin WordPress uudestaan ohjausnäkymän kautta. Ei auttanut.

    Löysin virheen tarkistuksen. Siinä:

    REST API on yksi tapa, jolla WordPress ja muut sovellukset viestivät palvelimen kanssa. Yksi tällainen esimerkki on lohkomuokkain, joka tukeutuu siihen näyttääkseen ja tallentaakseen sivuja ja artikkeleita.

    Kutsu REST APIin antoi seuraavan odottamattoman tuloksen: (404) {”description”:””,”hierarchical”:false,”name”:”Artikkelit”,”slug”:”post”,”taxonomies”:[”category”,”post_tag”],”rest_base”:”posts”,”_links”:{”collection”:[{”href”:”https:\/\/www.sanaristikkofoorumi.net\/wordpress\/wp-json\/wp\/v2\/types”}],”wp:items”:[{”href”:”https:\/\/www.sanaristikkofoorumi.net\/wordpress\/wp-json\/wp\/v2\/posts”}],”curies”:[{”name”:”wp”,”href”:”https:\/\/api.w.org\/{rel}”,”templated”:true}]}}.

    Tällä ei pitäisi olla merkitystä kuin yhteen lisäosaan:

    Taustapäivitykset varmistavat, että WordPress voi päivittää itsensä jos käytössäsi olevalle versiolle on saatavilla tietoturvapäivitys.

    Virhe Lisäosa on estänyt päivitykset kytkemällä wp_version_check()-suotimen pois päältä.
    Kunnossa Versionhallintajärjestelmiä ei havaittu.
    Kunnossa Päivitysten tekeminen ei edellytä FTP-tunnuksia.
    Kunnossa Kaikki WordPress-tiedostosi ovat kirjoitettavissa.

    Tässä ei ole tapahtunut mitään muutoksia, joten tällä ei pitäisi olla vaikutusta:

    PHP-moduulien vastuulla on useimmat niistä tehtävistä palvelimella, joiden varassa sivustosi toiminnallisuus on. Niihin tehtävät muutokset vaativat palvelimen ylläpitäjää.

    WordPressin Hosting-tiimi ylläpitää listaa suositelluista ja vaadituista moduuleista käsikirjassaan (avaa uuden välilehden).

    Varoitus! Valinnainen moduuli, zip, puuttuu tai on kytketty pois päältä.

    Pavelun tarjoajani ei edes tarjoa käyttööni kaikkia https://make.wordpress.org/hosting/handbook/handbook/server-environment/#php-extensions
    lueteltuja komponentteja, mutta ennen tiedostojen poistoa ongelmia ei ollut.

    • Tätä vastausta muokkasi 2 vuotta, 2 kuukautta sitten tapiohuuhaa.
    • Tätä vastausta muokkasi 2 vuotta, 2 kuukautta sitten tapiohuuhaa.
    • Tätä vastausta muokkasi 2 vuotta, 2 kuukautta sitten tapiohuuhaa.
    Thread Starter tapiohuuhaa

    (@tapiohuuhaa)

    Testisivusto toimii
    https://www.sanaristikkofoorumi.net/test/forums/topic/suomen-kuvalehti-11-2020/#post-15990

    testisivusto:

    # BEGIN LSCACHE
    # END LSCACHE
    # BEGIN NON_LSCACHE
    # END NON_LSCACHE

    # BEGIN WordPress
    <IfModule mod_rewrite.c>
    RewriteEngine On
    RewriteBase /test/
    RewriteRule ^index\.php$ – [L]
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteRule . /test/index.php [L]
    </IfModule>

    # END WordPress
    # BEGIN ShortPixelWebp

    # END ShortPixelWebp

    RewriteBase /test/

    tuo oli wordpress vain /

    mutta muutettuna muotoon /wordpress/
    ei tullut apua

    mutta

    RewriteRule . /wordpress/index.php [L]

    auttoi. Oli siis väärin määritelty .htaccess
    Taisin kopioida väärän version.

    Sai tehtyä uuden kommentin, mutta poiston kanssa ongelmia.
    wp_config.php väärä. Vaihdoin.
    Sain poistettua, mutta tuli virheilmoitus ensin.

    edelleen REST API virheilmoitus

    Thread Starter tapiohuuhaa

    (@tapiohuuhaa)

    Sekä ”Sivustosi ei voinut tehdä loopback-pyyntöä”.

    Loopback-pyynnön toimimattomuus voi olla palvelimen asetuksistakin kiinni.

    Thread Starter tapiohuuhaa

    (@tapiohuuhaa)

    Onko mahdollinen tietoturvajuttu, jos palvelin ei tue asiaa. Jos palvelin asia, siihen ei voi vaikuttaa. Palvelinasioissa voin vain valita PHP-versioin ja sen valinnaiset moduulit.

    Google Analytics lopetti REST API valituksen. Se näyttää taasen sen, mistä sivuilleni tultiin (Top referrers), jotka olivat muutaman päivän poissa käytössä.

    • Tätä vastausta muokkasi 2 vuotta, 2 kuukautta sitten tapiohuuhaa.
    Thread Starter tapiohuuhaa

    (@tapiohuuhaa)

    Palvelun tajoajani ilmoitti, että tietoturvasyistä cURL ei ole käytettävissä. Lieneekö se Loopback-virheilmoituksen syynä.

    Voi hyvin olla, WP taitaa käyttää cURLia loopbackin tarkistamiseen.

    Thread Starter tapiohuuhaa

    (@tapiohuuhaa)

    Onneksi se ei ole kriittinen asia, sillä sivusto toimii riittävän hyvin ilman sitäkin. Mutta entä se REST API.
    Kuten kerroin, outoa on se, että siitä valitti myös Google Analytics, mutta ei valita enää.

    Mä en oikeastaan ymmärrä, miksi REST APIn toimivuus Analyticsiä edes kiinnostaa, sen ei pitäisi sitä kai käyttääkään. REST APIn tarpeellisuus riippuu siitä, miten sivustoa käytät; jos käytössä on esimerkiksi Gutenberg-editori, niin onhan se tosiaan kriittinen. En nyt kuitenkaan osaa sanoa, miksi se ei toimisi.

    Thread Starter tapiohuuhaa

    (@tapiohuuhaa)

    Minulla on TinyMCE editorina. Se toimii. Olen ottanut TinyMCE asetuksista pois lohkoeditoriyhteensopivuudet.

    Thread Starter tapiohuuhaa

    (@tapiohuuhaa)

    Sen verran ongelmia on, että robottien tekemiä aiheita ja kommentteja en saa poistettua WordPressin avulla.

    Thread Starter tapiohuuhaa

    (@tapiohuuhaa)

    Taitaa olla versioristiriita:
    Tiedoston /home/sanarist/public_html/wordpress/wp-content/plugins/bbpress/includes/forums/functions.php rivillä 1382 havaittiin virhe lajia E_ERROR. Virheviesti: Uncaught Error: Call to undefined function bbp_get_forum_reply_count_hidden() in …

Esillä 13 vastausta, 1 - 13 (kaikkiaan 13)
  • The topic ‘Editointi ja uusien aiheiden ja kommentien luonti ei toimi’ is closed to new replies.